API Documentation | All Packages | All Classes | Index | Frames No Frames |
Class LinkRenderer

Package | ch.unil.cbg.ExpressionView.view.components
Class | public class LinkRenderer
Inheritance | LinkRenderer mx.controls.Label
Implements | mx.controls.listClasses.IDropInListItemRenderer, mx.core.IDataRenderer

Public Properties

| Property | Defined by
--- | --- | ---
|  | dataProvider : String | LinkRenderer
|  | organism : String [write-only] | LinkRenderer

Public Methods

| Method | Defined by
--- | --- | ---
|  | LinkRenderer() | LinkRenderer

Protected Methods

| Method | Defined by
--- | --- | ---
|  | commitProperties():void | LinkRenderer
|  | createChildren():void | LinkRenderer

Property detail

dataProvider | property

`public var dataProvider:String`

organism | property |

`organism:String` [write-only]Implementation
`public function set organism(value:String):void`
Constructor detail

LinkRenderer | () | constructor

`public function LinkRenderer()`
Method detail

commitProperties | () | method

`protected override function commitProperties():void`

createChildren | () | method |

`protected override function createChildren():void`